package com.javarticles.android;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class OptionMenuExampleActivity extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.welcome);		
	}
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);		
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		switch (id) {
		case R.id.add:
			Toast.makeText(getApplicationContext(), "You have clicked on add", Toast.LENGTH_SHORT).show();
			break;
		case R.id.update:
			Toast.makeText(getApplicationContext(), "You have clicked on update", Toast.LENGTH_SHORT).show();
			break;
		case R.id.delete:
			Toast.makeText(getApplicationContext(), "You have clicked on delete", Toast.LENGTH_SHORT).show();
			break;
		case R.id.info:
			Toast.makeText(getApplicationContext(), "You have clicked on info", Toast.LENGTH_SHORT).show();
			break;
		}
		return super.onOptionsItemSelected(item);
	}
}
